About
Generate videos by animating an input image using Google's Veo 3.1 model.
The prompt should describe how to animate the input image. Include:
- Action: How the image should be animated
- Style: Desired animation style
- Camera motion (optional): How camera should move
- Ambiance (optional): Desired mood and atmosphere
- More details are available in our prompting guide.
The model supports:
- Input images up to 8MB in size
- 720p or 1080p output resolution
- 16:9 or 9:16 aspect ratio
- Natural motion and realistic animations
- Control over animation via text prompts
1. Calling the API
Setup your API Key
To begin using Infron, you first need to create an account and generate your API Key.
Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.
export INFRON_KEY="YOUR_API_KEY"
Submit a request
For long-running requests, you can poll for results.
curl https://media.onerouter.pro/v1/videos/generations \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "google/veo3.1/image-to-video",
"duration": "4s",
"aspect_ratio": "16:9",
"resolution": "720p",
"generate_audio": true,
"prompt": "Context: A Panda named Bamboo and a Red Fox named Tweed host a casual, witty podcast called `Quantum Quibbles.`",
"image_url": "https://storage.googleapis.com/infron_gcs/image%2Fplayground-inputs%2F15%2F20260522%2Fb6cac276-38fe-40c8-9ced-330d4c64a248.jpg"
}'
Response with queue task id
The response will look like this:
{
"code": 200,
"message": "success",
"data": {
"task_id": "598b2cacc94e4e82832068283ae0b4c7",
"object": "video",
"model": "google/veo3.1/image-to-video",
"status": "created",
"urls": {
"query": "https://media.onerouter.pro/v1/videos/tasks/598b2cacc94e4e82832068283ae0b4c7"
},
"created_at": "2026-05-29 13:34:00.45"
}
}
Fetch request status
You can fetch the status of a request to check if it is completed or still in progress.
curl https://media.onerouter.pro/v1/videos/tasks/{task_id} \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
# For example
curl https://media.onerouter.pro/v1/videos/tasks/598b2cacc94e4e82832068283ae0b4c7 \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
Response with queue task status query
{
"code": 200,
"message": "success",
"data": {
"task_id": "598b2cacc94e4e82832068283ae0b4c7",
"object": "image",
"model": "google/veo3.1/image-to-video",
"status": "in_progress",
"fail_reason": "",
"submit_time": 1780061640,
"start_time": 1780061640,
"finish_time": 0,
"outputs": [],
"created_at": "2026-05-29 13:34:00"
}
}
Possible statuses:
- created
- in_progress
- processing
- completed
- failed
created -> in_progress → processing → completed | failed
Poll every 1-2 seconds until status is "completed" or "failed"
Get the result (when status is "completed")
Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.
{
"code": 200,
"message": "success",
"data": {
"task_id": "598b2cacc94e4e82832068283ae0b4c7",
"object": "image",
"model": "google/veo3.1/image-to-video",
"status": "completed",
"fail_reason": "",
"submit_time": 1780061640,
"start_time": 1780061640,
"finish_time": 1780061699,
"outputs": [
"https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_58fc6398-b1b5-47b0-ac09-f46a5c891619.mp4"
],
"usage": {
"completion_tokens": 0,
"image_count": 1,
"prompt_tokens": 1,
"resolution": "720p",
"total_tokens": 1,
"web_search": false
},
"cost": {
"total_cost": 1.6,
"cost_details": {
"prompt_cost": 0,
"completion_cost": 0,
"image_cost": 1.6,
"video_cost": 0,
"audio_cost": 0,
"native_web_search_cost": 0,
"plugin_web_search_cost": 0,
"tools_cost": 0,
"prompt_cache_read_cost": 0,
"prompt_cache_write_cost": 0,
"prompt_cache_write_5_min": 0,
"prompt_cache_write_1_h": 0,
"reasoning_cost": 0,
"discount_rate": 1,
"is_byok": false,
"byok_cost": 0
}
},
"created_at": "2026-05-29 13:34:00"
}
}
2. Schema
Input
| Parameter | Type | Required | Default | Range | Description |
|---|---|---|---|---|---|
| model | string | Yes | -- | Explore all models | Model name. |
| prompt | string | Yes | -- | -- | Text prompt for generation; Positive text prompt. |
| image_urls | array | Yes | -- | -- | The URLs of the images to use as a reference for the generation. |
| aspect_ratio | string | No | 16:9 | 16:9, 9:16 | Aspect ratio of the generated video |
| duration | string | No | 4s | 8s, 4s, 6s | Duration of the generated video |
| resolution | string | No | 720p | 720p, 1080p, 4k | Resolution of the generated video |
| generate_audio | boolean | No | true | true, false | Whether to generate audio. |
| negative_prompt | string | No | -- | -- | Negative prompt for the generation. |
| seed | integer | No | -- | >=1 | The random seed to use for the generation. |
Example request
curl https://media.onerouter.pro/v1/videos/generations \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "google/veo3.1/image-to-video",
"duration": "4s",
"aspect_ratio": "16:9",
"resolution": "720p",
"generate_audio": true,
"prompt": "Context: A Panda named Bamboo and a Red Fox named Tweed host a casual, witty podcast called `Quantum Quibbles.`",
"image_url": "https://storage.googleapis.com/infron_gcs/image%2Fplayground-inputs%2F15%2F20260522%2Fb6cac276-38fe-40c8-9ced-330d4c64a248.jpg"
}'
Output
| Parameter | Type | Range | Description |
|---|---|---|---|
| code | integer | -- | Status code of the request. |
| message | string | -- | Status message of the request. |
| data | object | -- | Data of the video task. |
| data.task_id | string | -- | ID of the video task. |
| data.object | string | -- | Object type of the video task. |
| data.model | string | -- | Model name of the video task. |
| data.status | string | created, in_progress, processing, completed, failed | Status of the video task. |
| data.fail_reason | string | -- | Fail reason of the video task. |
| data.submit_time | integer | -- | Timestamp of the video task submission. |
| data.start_time | integer | -- | Timestamp of the video task start. |
| data.finish_time | integer | -- | Timestamp of the video task finish. |
| data.outputs | array | -- | Outputs of the video task. |
| data.created_at | string | -- | Timestamp of the video task creation. |
Example output
{
"code": 200,
"message": "success",
"data": {
"task_id": "598b2cacc94e4e82832068283ae0b4c7",
"object": "image",
"model": "google/veo3.1/image-to-video",
"status": "completed",
"fail_reason": "",
"submit_time": 1780061640,
"start_time": 1780061640,
"finish_time": 1780061699,
"outputs": [
"https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_58fc6398-b1b5-47b0-ac09-f46a5c891619.mp4"
],
"usage": {
"completion_tokens": 0,
"image_count": 1,
"prompt_tokens": 1,
"resolution": "720p",
"total_tokens": 1,
"web_search": false
},
"cost": {
"total_cost": 1.6,
"cost_details": {
"prompt_cost": 0,
"completion_cost": 0,
"image_cost": 1.6,
"video_cost": 0,
"audio_cost": 0,
"native_web_search_cost": 0,
"plugin_web_search_cost": 0,
"tools_cost": 0,
"prompt_cache_read_cost": 0,
"prompt_cache_write_cost": 0,
"prompt_cache_write_5_min": 0,
"prompt_cache_write_1_h": 0,
"reasoning_cost": 0,
"discount_rate": 1,
"is_byok": false,
"byok_cost": 0
}
},
"created_at": "2026-05-29 13:34:00"
}
}
3. Detailed Pricing
| Resolution | Without Audio | With Audio |
|---|---|---|
| 720p / 1080p | $0.20/s | $0.40/s |
| 4K | $0.40/s | $0.60/s |